%define module 	XML-Records
%define version 0.12
%define release 1mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
URL:		http://www.omsdev.com/ebohlman/ 
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl >= 5.600
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl-XML-TokeParser

%description
%{module} - module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib

%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

install -d $RPM_BUILD_ROOT/%{_datadir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST Changes 


%changelog
* Mon Mar 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.12-1mdk
- 0.12

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10-2mdk
- fixes from Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-XML-TokeParser

* Tue Jul 31 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.10-1mdk
- 0.10
- s!Copyright!License!
- added URL

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.01-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.01-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release



